# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           blogofile
Version:        0.8.3
Release:        2%{?dist}
Group:		Applications/Internet
Summary:        A static website compiler and blog engine

License:        MIT
URL:            http://www.blogofile.com/
Source0:        http://pypi.python.org/packages/source/B/Blogofile/Blogofile-%{version}.tar.gz
Patch0:		Blogofile.patch

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:	python-six, python-jinja2, python-unidecode, python-textile
Requires:	python-docutils, python-pygments >= 1.5
Requires:	python-markupsafe >= 0.15, python-markdown, python-mako
Requires:	PyYAML >= 3.10

%description
Blogofile is a static website compiler, primarily (though not exclusively)
designed to be a simple blogging engine. It requires no database and no special
hosting environment. You customize a set of templates with Mako, create posts
in a markup language of your choice (see Post Content) and Blogofile renders
your entire website as static HTML and Atom/RSS feeds which you can then upload
to any old web server you like.

%prep
%setup -q -n Blogofile-%{version}
#patch0 -p1 -b .sdg

%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc CHANGES.txt CONTRIBUTORS.txt LICENSE.txt README.rst
# For noarch packages: sitelib
%{python_sitelib}/*
/usr/bin/blogofile

%changelog
* Wed Mar  9 2016 <stuart@gathman.org> 0.8.3-2
- Patch PyYAML requires

* Wed Mar  9 2016 <stuart@gathman.org> 0.8.3-1
- Update to 0.8.3

* Tue Jul 30 2013 <stuart@gathman.org> 0.8b1-1
- initial RPM for Fedora 19
